Language

Telia e-identification

Install Net iD

Check of your computer

Operating system
Unknown operating system
To be able to use your e-identification correctly you should have one of the following operating systems:
  • MS Windows: XP (only 32-bit), Vista, Windows 7, Windows 8 or Windows 8.1
  • <
  • Mac: Mac OS X version 10.7 (Lion) and 10.8 (Mountain Lion)
  • Linux: Ubuntu 11.04, 11.10, 12.04 LTS, 12.10 and 13.10
Browser
Unknown browser
The following browsers are supported for use of Telia e-identification:
  • MS Windows: Chrome 28, 29, 30, 31, 32, 33, 34, 35, 36
    Firefox 23.0, 24.0, 25.0, 26.0, 27.0, 28.0, 29.0, 30.0, 31.0
    Internet Explorer 7, 8, 9, 10, 11
  • Mac: Chrome 28, 29, 30, 31, 32, 33, 34, 35, 36
    Safari 6, 6.1, 7
    Firefox 23.0, 24.0, 25.0, 26.0, 27.0, 28.0, 29.0, 30.0, 31.0
  • Ubuntu: Chrome 28, 29, 30, 31, 32, 33, 34, 35, 36
    Firefox 23.0, 24.0, 25.0, 26.0, 27.0, 28.0, 29.0, 30.0, 31.0
Errors found
Operating system: Your operating system is not supported. More info
Browser: Your browser is not supported. More info
Next
© TeliaPart of TeliaSonera Group